from _asterisk import *

LOG_DEBUG=0
LOG_EVENT=1
LOG_NOTICE=2
LOG_WARNING=3
LOG_ERROR=4
LOG_VERBOSE=5

class PyAsteriskChannel:
    def __init__(self, name):
        self.name = name
    def __getitem__(self, item):
        val = getvar(self.name, item)
        return val
    def __setitem__(self, item, value):
        setvar(self.name, item, value)
    def getcid(self):
        return chan_getattr(self.name, "callerid")
    def getseconds(self):
        return chan_getattr(self.name, "seconds")
    def hangup(self):
        return hangup(self.name)
    def redirect(self, cep):
        return redirect(self.name, cep)

class PyAsteriskContext:
    def __init__(self, name):
        self.name = name
    def extensions(self):
        return context_extensions(self.name)
    def extension_get(self, exten):
        return context_extension_get(self.name, exten)
    def extension_add(self, exten, prio, app, data):
        return context_extension_add(self.name, exten, prio, app, data)
    def extension_del(self, exten, prio):
        return context_extension_del(self.name, exten, prio)
    def includes(self):
        return context_includes(self.name)
    def include_get(self, include):
        return context_include_get(self.name, include)
    def include_add(self, include):
        return context_include_add(self.name, include)
    def include_del(self, include):
        return context_include_del(self.name, include)

