listen_addr = ("0.0.0.0", 8192)
certdir = "/etc/asterisk/certs"

global xmlrpc_server
xmlrpc_server = None

def start():
    from PyAsterisk import log, LOG_NOTICE
    from PyAsteriskXMLRPC import PyAsteriskXMLRPC
    from SecureXMLRPCServer import SecureXMLRPCServer

    log(LOG_NOTICE, "Starting PyAsteriskXMLRPC Service on %s" % (listen_addr,))

    global xmlrpc_server
    xmlrpc_server = SecureXMLRPCServer(listen_addr, certdir)
    method_provider = PyAsteriskXMLRPC(xmlrpc_server)

    xmlrpc_server.register_instance(method_provider)
    xmlrpc_server.register_introspection_functions()
    xmlrpc_server.register_multicall_functions()

    xmlrpc_server.set_server_title("PyAsterisk")
    xmlrpc_server.set_server_name("server.example.com")
    xmlrpc_server.set_server_documentation(method_provider.__doc__)

    ## By default xmlrpc server only accepts RPC2 requests
    ## from localhost. Add hosts to the ACL lists to allow 
    ## for remote control.
    # xmlrpc_server.acl.append("192.168.0.1")
    # xmlrpc_server.acl.append("128.100.100.1")

    xmlrpc_server.serve_forever() # until the socket gets closed
    xmlrpc_server = None

def stop():
    """
    Shut down the XMLRPC listening thread...
    """
    global xmlrpc_server
    if xmlrpc_server:
        xmlrpc_server.server_close()
    
